import database_connector
import datetime

conn = database_connector.conn
cur = database_connector.cur

# aanpasbare variabelen

locatieid = 1

def insertdatabase(bericht, naamposter):

	time = datetime.datetime.utcnow().strftime("%H:%M:%S")
	date = datetime.datetime.utcnow().strftime("%Y-%m-%d")

	try:
		QUERY = 'INSERT INTO berichten(bericht, datumontvangen, tijdontvangen, locatieid, naamposter, statusid) VALUES (%s, %s, %s, %s, %s, %s)'
		DATA = (bericht, date, time, locatieid, naamposter, '1')
		cur.execute(QUERY, DATA)
		conn.commit()
		return True
	except:
		return False

def vraaginvoer():
	try:
		feedback = input('Voer uw feedback in: ')
		if len(feedback) > 140:
			print('Uw bericht is te lang, maximaal 140 characters. Uw bericht was ' + str(len(feedback)) + ' characters lang.')
			return False
		elif len(feedback) < 16:
			print('Maak er graag een nuttig bericht van. dank. u. wel.')
			return False
	except:
		print('Ongeldige invoer')
		return False

	try:
		naam = input('Onder welke naam?: ')
		if len(naam) > 32:
			print('Uw naam is te lang, verander uw naam in de geboorteakte bij uw gemeente.')
			return False
		elif len(naam) < 3:
			print('Uw naam is best kort, we veranderen de naam naar anoniem.')
			naam = 'Anoniem'
	except:
		print('Ongeldige invoer')
		return False

	if insertdatabase(feedback, naam):
		print('We hebben uw bericht ontvangen, het bericht wordt openbaar gemaakt als het wordt goedgekeurt')
		return True
	else:
		print("Er was een probleem met het invoegen in de database, probeer het later nog een keer")





while True:
	vraaginvoer()